package jsonrpc

import (
	ogw "git.loafle.net/overflow/overflow_gateway_websocket"
)

// ClientOptions is configuration of the websocket server
type JSONRpcHandler interface {
	OnRequest(soc ogw.Socket, method string, params []string) (interface{}, error)
	OnNotify(soc ogw.Socket, method string, params []string) error
}
