package jsonrpc

import (
	"encoding/json"
)

type ServerRequest struct {
	Protocol string           `json:"protocol"`
	Method   string           `json:"method"`
	Params   []string         `json:"params,omitempty"`
	Id       *json.RawMessage `json:"id,omitempty"`
}

func (r *ServerRequest) reset() {
	r.Method = ""
	r.Params = nil
	r.Id = nil
}
